package com.xunwang.education.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MyTeacherCourseDetailDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String uid;
    private String name;
    private String teacherType;
    private String datetime;
    private String introduce;
    private String experience;
    private String teachAge;
    private String subject;
    private String teacherPhoto;
    private String school;
    private String education;
    private String sex;
    private String courseId;
    private int viewedCount;
    private String location;
    private String locationAl;
    private String mode;
    private String teachTime;
    private String verifyStatus;
    private String verifyRefuseReason;

    @ApiModelProperty(value = "上架，下架")
    private String display;

    @ApiModelProperty(value = "是否锁定")
    private String locked;

    @ApiModelProperty(value = "已成交,未成交")
    private String deal;
}
